## ros-one-eusurdf 0.4.5-39jammy.20251023.1010

=== debian/changelog ===
ros-one-eusurdf (0.4.5-39jammy.20251023.1010) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:10:33 +0000

ros-one-eusurdf (0.4.5-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-eusurdf (0.4.4-0jammy) jammy; urgency=high

  * add world-file-path on README (#230 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/230>)
  * noetic support  (#238 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/238>)
    
      * use subprocess.getoutput if import commands fail
      * turn package format 3 and use python3-lxml for noetic
      * more fix on python3: fix str/byte problem : TypeError: a bytes-like object is required, not 'str' ,TypeError: write() argument must be str, not bytes
      * fix for python3 with 2to3 -w -f print
      * eusurdf.cmake : manually set collada_urdf_LIBRARIES due to https://github.com/ros/collada_urdf/issues/43
      * eusurdf.cmake : invoike python2/python3 using ROS_PYTHON=VERSION
    
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-eusurdf (0.4.3-0jammy) jammy; urgency=high

  * Fix for being deprecated tag: cfmDamping -> implicitSpringDamper (#222 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/222>)
  * [eusurdf] add euslisp to INSTALL_DIRS (#220 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/220>)
  * Contributors: Juntaro Tamura, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-eusurdf (0.4.2-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-eusurdf (0.4.1-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-eusurdf (0.4.0-0jammy) jammy; urgency=high

  * [eusurdf] add cmake target for generating Semantic map from eusmodel (#194 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/194>)
    * [eusurdf] add cmake target for generating ontology if generator exists
    * [eusurdf][package.xml] add python-lxml as run_depend
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * use LinuxARM ARCHDIR for CMKAE_SYSTEM_PROCESSOR armv/aarch64
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-eusurdf (0.3.5-0jammy) jammy; urgency=high

  * add gazebo_ros to build_depend
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.4-0jammy) jammy; urgency=high

  * add python-lxml
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.3-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.2-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.1-0jammy) jammy; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * eusurdf/euslisp/eusmodel_to_urdf.l: if collada_urdf_jsk_patch does not exists, use collada_urdf
    * CMakeLists.txt, cmake/eusurdf.cmake : use collada_urdf if collada_urdf_jsk_patch is not found
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.0-0jammy) jammy; urgency=high

  * [eusurdf] fix: use :if-exists :new-version instead of :overwrite  (#196 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/196>)
  * use package://eusurdf instead of model:// (#195 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/195>)
    * [eusurdf] fix: try catch
    * [eusurdf] use 1 launch file to spawn; add option to publish tf for model
    * [eusurdf][convert-eus-to-urdf.l] fix: add / for directory path
    * [eusurdf][textured_models] use package://eusurdf instead of model:// for xacro
    * [eusurdf][urdf_to_xacro.py] convert model:// -> package://eusurdf
  * [eusurdf] generate urdf.xacro for model / scene (#193 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/193>)
    * [eusurdf][package.xml] add python-lxml as run_depend
    * [eusurdf][README.md] append usage about spawning urdf
    * [eusurdf][textured_models] add urdf.xacro for textured_models
    * [eusurdf] generate urdf.xacro from eusmodel / eusscene to make unified urdf
  * parallelize model generation (#188 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/188>)
    * [eusurdf][convert-eus-to-urdf.l] remove tmp-dir-no-duplication
    * [eusurdf][eusscene_to_world.l] raise error when model name is undefined
    * [eusurdf][convert-eus-to-urdf.l] fix: forgot to update
    * [eusurdf][convert-eus-to-urdf-test.l] update test
    * [eusurdf][convert-eus-to-urdf.l] create directory for world file if not created
    * [eusurdf][convert-eus-to-urdf.l] make argument world-file-path necessary; remove random-seed
    * [eusurdf] get collada_to_urdf bin path from cmake
    * [eusurdf] avoid intermediate files permission issue
    * [eusurdf][convert-eus-to-urdf.l] keep back compatibility
    * [eusurdf] cleanup old stuff
    * [eusurdf][textured_models] drop suffix for models
    * [eusurdf] parallelize model generation
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-eusurdf (0.2.5-0jammy) jammy; urgency=high

  * [eusurdf] add test of model conversion (#181 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/181>)
    * [eusurdf/CMakeLists.txt,package.xml] test model conversion in eusurdf package.
    * [eusurdf/test] add test directory in eusurdf. add script and launch to test model conversion.
    * [eusurdf/package.xml] add maintainer of eusurdf package.


## ros-one-eusurdf 0.4.5-39jammy.20251207.2247

=== debian/changelog ===
ros-one-eusurdf (0.4.5-39jammy.20251207.2247) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 22:47:29 +0000

## ros-one-eusurdf 0.4.5-39jammy.20260221.2140

=== debian/changelog ===
ros-one-eusurdf (0.4.5-39jammy.20260221.2140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 21:40:51 +0000

## ros-one-eusurdf 0.4.5-39noble.20251023.1027

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eusurdf)

find_package(catkin REQUIRED)

catkin_package()

include(cmake/eusurdf.cmake)
find_package(catkin QUIET COMPONENTS gazebo_ros)
if(gazebo_ros_FOUND)
convert_eusmodel_to_urdf()
convert_eusscene_to_gazebo_world()
convert_eusscene_to_urdf_xacro()
else()
message(WARNING "gazebo_ros package is not found, skip converting eusmodel to urdf")
endif()

set(INSTALL_DIRS  textured_models launch euslisp)
if(gazebo_ros_FOUND)
  LIST(APPEND INSTALL_DIRS models worlds)
endif()

find_package(knowrob_map_tools)
if(${knowrob_map_tools_FOUND})
  convert_eusscene_to_sem()
  install(DIRECTORY owl
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
  list(APPEND INSTALL_DIRS owl)
endif()

install(DIRECTORY ${INSTALL_DIRS}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/convert-eus-to-urdf-test.launch)
endif()

=== debian/changelog ===
ros-one-eusurdf (0.4.5-39noble.20251023.1027) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:27:01 +0000

ros-one-eusurdf (0.4.5-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-eusurdf (0.4.4-0noble) noble; urgency=high

  * add world-file-path on README (#230 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/230>)
  * noetic support  (#238 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/238>)
    
      * use subprocess.getoutput if import commands fail
      * turn package format 3 and use python3-lxml for noetic
      * more fix on python3: fix str/byte problem : TypeError: a bytes-like object is required, not 'str' ,TypeError: write() argument must be str, not bytes
      * fix for python3 with 2to3 -w -f print
      * eusurdf.cmake : manually set collada_urdf_LIBRARIES due to https://github.com/ros/collada_urdf/issues/43
      * eusurdf.cmake : invoike python2/python3 using ROS_PYTHON=VERSION
    
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-eusurdf (0.4.3-0noble) noble; urgency=high

  * Fix for being deprecated tag: cfmDamping -> implicitSpringDamper (#222 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/222>)
  * [eusurdf] add euslisp to INSTALL_DIRS (#220 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/220>)
  * Contributors: Juntaro Tamura, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-eusurdf (0.4.2-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-eusurdf (0.4.1-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-eusurdf (0.4.0-0noble) noble; urgency=high

  * [eusurdf] add cmake target for generating Semantic map from eusmodel (#194 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/194>)
    * [eusurdf] add cmake target for generating ontology if generator exists
    * [eusurdf][package.xml] add python-lxml as run_depend
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * use LinuxARM ARCHDIR for CMKAE_SYSTEM_PROCESSOR armv/aarch64
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-eusurdf (0.3.5-0noble) noble; urgency=high

  * add gazebo_ros to build_depend
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.4-0noble) noble; urgency=high

  * add python-lxml
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.3-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.2-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.1-0noble) noble; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * eusurdf/euslisp/eusmodel_to_urdf.l: if collada_urdf_jsk_patch does not exists, use collada_urdf
    * CMakeLists.txt, cmake/eusurdf.cmake : use collada_urdf if collada_urdf_jsk_patch is not found
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eusurdf (0.3.0-0noble) noble; urgency=high

  * [eusurdf] fix: use :if-exists :new-version instead of :overwrite  (#196 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/196>)
  * use package://eusurdf instead of model:// (#195 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/195>)
    * [eusurdf] fix: try catch
    * [eusurdf] use 1 launch file to spawn; add option to publish tf for model
    * [eusurdf][convert-eus-to-urdf.l] fix: add / for directory path
    * [eusurdf][textured_models] use package://eusurdf instead of model:// for xacro
    * [eusurdf][urdf_to_xacro.py] convert model:// -> package://eusurdf
  * [eusurdf] generate urdf.xacro for model / scene (#193 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/193>)
    * [eusurdf][package.xml] add python-lxml as run_depend
    * [eusurdf][README.md] append usage about spawning urdf
    * [eusurdf][textured_models] add urdf.xacro for textured_models
    * [eusurdf] generate urdf.xacro from eusmodel / eusscene to make unified urdf
  * parallelize model generation (#188 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/188>)
    * [eusurdf][convert-eus-to-urdf.l] remove tmp-dir-no-duplication
    * [eusurdf][eusscene_to_world.l] raise error when model name is undefined
    * [eusurdf][convert-eus-to-urdf.l] fix: forgot to update
    * [eusurdf][convert-eus-to-urdf-test.l] update test
    * [eusurdf][convert-eus-to-urdf.l] create directory for world file if not created
    * [eusurdf][convert-eus-to-urdf.l] make argument world-file-path necessary; remove random-seed
    * [eusurdf] get collada_to_urdf bin path from cmake
    * [eusurdf] avoid intermediate files permission issue
    * [eusurdf][convert-eus-to-urdf.l] keep back compatibility
    * [eusurdf] cleanup old stuff
    * [eusurdf][textured_models] drop suffix for models
    * [eusurdf] parallelize model generation
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-eusurdf (0.2.5-0noble) noble; urgency=high

  * [eusurdf] add test of model conversion (#181 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/181>)
    * [eusurdf/CMakeLists.txt,package.xml] test model conversion in eusurdf package.
    * [eusurdf/test] add test directory in eusurdf. add script and launch to test model conversion.
    * [eusurdf/package.xml] add maintainer of eusurdf package.


=== debian/control ===
Source: ros-one-eusurdf
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-lxml, ros-one-catkin, ros-one-collada-urdf-jsk-patch, ros-one-roseus, ros-one-rostest
Homepage: http://ros.org/wiki/eusurdf
Standards-Version: 3.9.2

Package: ros-one-eusurdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lxml, ros-one-collada-urdf-jsk-patch, ros-one-gazebo-ros, ros-one-rostest
Description: urdf models converted from euslisp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-eusurdf//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-eusurdf 0.4.5-39noble.20260221.2230

=== debian/changelog ===
ros-one-eusurdf (0.4.5-39noble.20260221.2230) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:30:28 +0000
